View Issue Details

IDProjectCategoryView StatusLast Update
0017923mantisbtcustomizationpublic2016-11-27 00:45
ReporterChewitsAssigned Tocproensa 
PrioritylowSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.2.17 
Target Version1.3.4Fixed in Version1.3.4 
Summary0017923: Add more parameters to event signals on Bug Change Status Page
Description

It is just a question. Is it possible to see a bit more parameters for event_signal(...) function in bug_change_status_page.php in future MantisBT releases?

At the moment only bug_id is passed. E.g. I'd like to see "$f_new_status" variable as a parameter, maybe something else to have access to them in a plugin environment.

For the moment I have to override bug_change_status_page.php in this way:

original:
<?php event_signal( 'EVENT_UPDATE_BUG_STATUS_FORM', array( $f_bug_id ) ); ?>

mine:
<?php event_signal( 'EVENT_UPDATE_BUG_STATUS_FORM', array( $f_bug_id, $f_new_status ) ); ?>

If this does not cause regressions, could it be integrated?

TagsNo tags attached.

Activities

cproensa

cproensa

2016-01-25 19:16

developer   ~0052384

+1 on this

any more opinions?

cproensa

cproensa

2016-07-30 15:06

developer   ~0053732

Last edited: 2016-07-30 15:06

View 2 revisions

PR: https://github.com/mantisbt/mantisbt/pull/833

Related Changesets

MantisBT: master-1.3.x b2455a3f

2016-07-30 12:43:36

cproensa


Committer: dregad Details Diff
Add "new status" to EVENT_UPDATE_BUG_STATUS_FORM

Add parameter to EVENT_UPDATE_BUG_STATUS_FORM, to include the new
status.

Fixes: 0017923
mod - bug_change_status_page.php Diff File
mod - docbook/Developers_Guide/en-US/Events_Reference_Bug.xml Diff File

Issue History

Date Modified Username Field Change
2014-11-26 12:20 Chewits New Issue
2016-01-25 19:16 cproensa Note Added: 0052384
2016-07-30 15:06 cproensa Assigned To => cproensa
2016-07-30 15:06 cproensa Status new => assigned
2016-07-30 15:06 cproensa Note Added: 0053732
2016-07-30 15:06 cproensa Note Edited: 0053732 View Revisions
2016-11-21 08:45 dregad Changeset attached => MantisBT master-1.3.x b2455a3f
2016-11-21 08:45 dregad Assigned To cproensa => dregad
2016-11-21 08:45 dregad Status assigned => resolved
2016-11-21 08:45 dregad Resolution open => fixed
2016-11-21 08:45 dregad Fixed in Version => 1.3.4
2016-11-21 08:45 dregad Assigned To dregad => cproensa
2016-11-21 08:45 dregad Target Version => 1.3.4
2016-11-27 00:45 vboctor Status resolved => closed